import { SessionInputsService } from './session-inputs.service';
import { CreateSessionInputDto, UpdateSessionInputDto, UpdateSessionInputContentDto, BatchToggleDiscardedDto } from './dto/session-input.dto';
import { SessionInput } from '../core-entities';
export declare class SessionInputsController {
    private readonly sessionInputsService;
    constructor(sessionInputsService: SessionInputsService);
    create(sessionId: string, createSessionInputDto: CreateSessionInputDto): Promise<SessionInput>;
    findAll(sessionId: string): Promise<SessionInput[]>;
    getActionsWithLogs(sessionId: string, inputId: string): Promise<SessionInput>;
    findOne(sessionId: string, inputId: string): Promise<SessionInput>;
    toggleDiscardedBatch(sessionId: string, dto: BatchToggleDiscardedDto): Promise<{
        affected: number;
    }>;
    removeUntilHere(sessionId: string, inputId: string): Promise<void>;
    remove(sessionId: string, inputId: string): Promise<void>;
    retry(sessionId: string, inputId: string, updateSessionInputDto: UpdateSessionInputDto): Promise<SessionInput>;
    regenerateAiResponse(sessionId: string, inputId: string): Promise<SessionInput>;
    update(sessionId: string, inputId: string, updateDto: UpdateSessionInputContentDto): Promise<SessionInput>;
}
